if(isFile("Add-Ons/Sound_Blockland/server.cs"))
{
   forceRequiredAddOn("Sound_Blockland");
   forceRequiredAddOn("Client_CrossPickRick");
}
else
{
   datablock AudioProfile(Block_MoveBrick_Sound)
   {
      filename = "base/data/sound/clickMove.wav";
      description = AudioClosest3d;
      preload = false;
   };
   datablock AudioProfile(Block_PlantBrick_Sound)
   {
      filename = "base/data/sound/clickPlant.wav";
      description = AudioClosest3d;
      preload = false;
   };
   datablock AudioProfile(Block_ChangeBrick_Sound)
   {
      filename = "base/data/sound/clickChange.wav";
      description = AudioClosest3d;
      preload = false;
   };
}
//we need the gun add-on for this, so force it to load
%error = ForceRequiredAddOn("Weapon_Gun");
%error = ForceRequiredAddOn("Client_CrossPickRick");

if(%error == $Error::AddOn_Disabled)
{
   //we don't have the gun, so we're screwed
   error("ERROR: Weapon_BO_Crossbow - required add-on Weapon_Gun not found");
   error("ERROR: Weapon_BO_Crossbow - required add-on Client_CrossPickRick not found");
}
else
{
   exec("./Weapon_BOCrossbow.cs");
   exec("./Weapon_RegBOCrossbow.cs");
   exec("./Support_RaycastingWeapons.cs");  
}
